%define version 0.17
%define release 5mdk
%define name telnet

Name: %{name}
Summary: Client for the telnet remote login protocol.
Version: %{version}
Release: %{release}
Copyright: BSD
Group: Networking/Remote access
Source0: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-telnet-%{version}.tar.bz2
Source1: telnet.wmconfig
Source2: telnet-client.tar.bz2
Source3: %{name}.xpm.bz2
Source4: %{name}-32.xpm.bz2
Source5: %{name}-xinetd
Patch0: telnet-utf8.patch.bz2
Patch1: telnet-0.17-env.patch.bz2
Patch2: telnet-0.10-escapechar.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libtermcap-devel gpm-devel ncurses-devel
Prefix: %{_prefix}

%package server
Summary: Server for the telnet remote login protocol.
Group: System/Servers
Requires: xinetd

%description
Telnet is a popular protocol for logging into remote systems over the Internet.
The telnet package provides a command line telnet client.

Install the telnet package if you want to telnet to remote machines.

%description server
Telnet is a popular protocol for logging into remote systems over the Internet.
The telnet-server package provides a telnet daemon, which will support remote
logins into the host machine. The telnet daemon is enabled by default. You may
disable the telnet daemon by editing /etc/inetd.conf.

Install the telnet-server package if you want to support remote logins to your
machine.

%prep 
%setup -q -n netkit-telnet-%{version}
mv telnet telnet-NETKIT
%setup -T -D -q -a 2 -n netkit-telnet-%{version}
find . -type d -name 'RCS'|xargs rm -rf
%patch0 -p1
#%patch1 -p1
%patch2 -p1

%build
sh ./configure
sh configure
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS),;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    ' MCONFIG
%{make}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/telnetd
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
make INSTALLROOT=$RPM_BUILD_ROOT MANDIR=%{_mandir} install

rm -f $RPM_BUILD_ROOT%{_mandir}/man8/telnetd.8
echo '.so man8/in.telnetd.8' > $RPM_BUILD_ROOT%{_mandir}/man8/telnetd.8

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >$RPM_BUILD_ROOT%{_menudir}/telnet
?package(telnet): command="%{_bindir}/telnet" needs="text" \
icon="telnet.xpm" section="Networking/Remote access" \
title="telnet" longtitle="Telnet client"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/mini
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_datadir}/icons/mini/%{name}.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_datadir}/icons/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/
install -m644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%post server
/sbin/service xinetd reload > /dev/null 2>&1 || :

%postun server
/sbin/service xinetd reload > /dev/null 2>&1 || :


%files
%defattr(-,root,root)
%{_bindir}/telnet
%{_mandir}/man1/telnet.1*
%{_menudir}/telnet
%{_datadir}/icons/%{name}.xpm
%{_datadir}/icons/mini/%{name}.xpm

%files server
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%{_sbindir}/in.telnetd
%{_mandir}/man5/issue.net.5*
%{_mandir}/man8/in.telnetd.8*
%{_mandir}/man8/telnetd.8*

%changelog
* Wed Sep 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-5mdk
- Requires: xinetd only for -server.

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-4mdk
- Relaunch xinetd condrestart if xinetd is installed.

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.17-3mdk
- %config(noreplace)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.17-2mdk
- automatically added BuildRequires

* Fri Aug 04 2000 Geoffrey Lee <snailtalk2mandrakesoft.com> 0.17-1mdk
- rebuild with new vesion
- _real_ macrosifications

* Mon Jul 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.16-6mdk
- Add xinetd support.
- permit telnet queries only for exported variable. (rh).

* Wed Jun 28 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.16-5mdk
- added UTF-8 patch from Alastair.McKinstry@compaq.com
- modularized menu and man pages paths
- removed obsolete "wmconfig" menu file

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.16-4mdk
- added icon

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.16-3mdk
- Fix bad menu entry.

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.16-2mdk
- Added menu

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.16-1mdk
- 0.16
- fixed groups
- spec-helper

* Thu Nov 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.14.
- Add the debian mechanism for telnet-server (go via a wrapper to login).
- Fix gcc2.95 compilation.

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Security fix to don't don't trust random TERM variables in telnetd

* Wed Jul 21 1999 Grgoire Colbert <gregus@etudiant.net>
- 9mdk : add fr locale

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 0.12
- split into two packages: telnet and telnet-server
- use NetKit telnet client (0.12 improved a lot...)

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- use glibc utmp routines.

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- fix the fix (wrong way memcpy).

* Wed Apr  7 1999 Jeff Johnson <jbj@redhat.com>
- fix "telnet localhost" bus error on sparc64 (alpha?).

* Tue Apr  6 1999 Jeff Johnson <jbj@redhat.com>
- use OpenBSD telnet client (and fix minor core dump with .telnetrc #247)

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- use openpty in telnetd

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 24 1998 Cristian Gafton <gafton@redhat.com>
- compile C++ code using egcs

* Tue Apr 14 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
